Would this work with my iMac OS X version 10.5.8?

I would like to purchase the MagicTrack in order to control my desktop display on my TV screen.

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    No it will not. You have to upgrade your Leopard to Snow Leopard i.e.go from version 10.5.8 to 10.6 by purchasing the software from Apple cost is about $40.
    Then do the updates to go from 10.6 to 10.6.4.
    Then you can use it to control the Mac /T.V. limit of about 10 metres depending on physical obstructions

    Was this useful? Answer 1

    16 of 18 people found this useful

  • 10.6 minimum from what i've read

    Was this useful? Answer 2

    3 of 5 people found this useful

Related Questions